Bug 860823 - [abrt] fc17: gtk_file_system_model_finalize at gtkfilesystemmodel.c : glibc detected double free or corruption (SIGABRT)
[abrt] fc17: gtk_file_system_model_finalize at gtkfilesystemmodel.c : glibc d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:5f233f10917cd68c55341709686...
:
: 858100 863709 868539 891958 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 15:34 EDT by Tamas
Modified: 2013-08-01 00:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.43 KB, text/plain)
2012-09-26 15:34 EDT, Tamas
no flags Details
File: environ (1.28 KB, text/plain)
2012-09-26 15:34 EDT, Tamas
no flags Details
File: backtrace (30.90 KB, text/plain)
2012-09-26 15:34 EDT, Tamas
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-26 15:34 EDT, Tamas
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-26 15:34 EDT, Tamas
no flags Details
File: maps (29.65 KB, text/plain)
2012-09-26 15:35 EDT, Tamas
no flags Details
File: dso_list (9.29 KB, text/plain)
2012-09-26 15:35 EDT, Tamas
no flags Details
File: open_fds (620 bytes, text/plain)
2012-09-26 15:35 EDT, Tamas
no flags Details
File: var_log_messages (847 bytes, text/plain)
2012-09-26 15:35 EDT, Tamas
no flags Details

  None (edit)
Description Tamas 2012-09-26 15:34:39 EDT
Version-Release number of selected component:
audacious-3.2.4-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        audacious
crash_function: standard_free
kernel:         3.5.3-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #6 standard_free at gmem.c
: #8 g_slice_free1 at gslice.c
: #9 gtk_file_system_model_finalize at gtkfilesystemmodel.c
: #11 stop_loading_and_clear_list_model at gtkfilechooserdefault.c
: #12 gtk_file_chooser_default_finalize at gtkfilechooserdefault.c
: #14 g_value_object_free_value at gobject.c
: #15 g_value_unset at gvalue.c
: #17 g_signal_emit_by_name at gsignal.c
: #18 list_row_activated at gtkfilechooserdefault.c
: #19 _gtk_marshal_VOID__BOXED_OBJECT at gtkmarshalers.c
Comment 1 Tamas 2012-09-26 15:34:43 EDT
Created attachment 617731 [details]
File: core_backtrace
Comment 2 Tamas 2012-09-26 15:34:45 EDT
Created attachment 617732 [details]
File: environ
Comment 3 Tamas 2012-09-26 15:34:48 EDT
Created attachment 617733 [details]
File: backtrace
Comment 4 Tamas 2012-09-26 15:34:52 EDT
Created attachment 617734 [details]
File: limits
Comment 5 Tamas 2012-09-26 15:34:58 EDT
Created attachment 617735 [details]
File: cgroup
Comment 6 Tamas 2012-09-26 15:35:01 EDT
Created attachment 617736 [details]
File: maps
Comment 7 Tamas 2012-09-26 15:35:04 EDT
Created attachment 617737 [details]
File: dso_list
Comment 8 Tamas 2012-09-26 15:35:06 EDT
Created attachment 617738 [details]
File: open_fds
Comment 9 Tamas 2012-09-26 15:35:08 EDT
Created attachment 617739 [details]
File: var_log_messages
Comment 10 Michael Schwendt 2012-09-26 20:46:13 EDT
Could you give a little bit of context/background, please? At least try.

The backtrace is about glibc detecting malloc "double free or corruption (out)" and aborting the application. The code path leads into internal GTK+ filechooser code.
Comment 11 Tamas 2012-09-30 14:28:33 EDT
Audacious produced this error after installing a big bunch of updates and giving the PC a restart. I couldn't really dig deeper, because I'm still a noob in Linux. I was unable to fix it so I finally removed audacious. With this the investigation of the problem walked out the door I believe, but I'll try to re-install audacious to see if the problem persists.
Comment 12 Michael Schwendt 2013-01-04 12:16:46 EST
*** Bug 863709 has been marked as a duplicate of this bug. ***
Comment 13 Michael Schwendt 2013-01-04 12:16:50 EST
*** Bug 891958 has been marked as a duplicate of this bug. ***
Comment 14 Michael Schwendt 2013-01-04 12:16:53 EST
*** Bug 868539 has been marked as a duplicate of this bug. ***
Comment 15 Michael Schwendt 2013-01-04 12:17:31 EST
*** Bug 858100 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2013-07-03 20:32:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-08-01 00:22:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.